Difference between revisions of "Talk:Yaourt"

From ArchWiki
Jump to: navigation, search
(Regarding general opinion on yaourt)
(Prefer yaourt-git ?)
Line 13: Line 13:
 
: [[AUR Helpers]] added as a related link in Summary box. Close. -- [[User:Fengchao|Fengchao]] ([[User talk:Fengchao|talk]]) 03:40, 19 September 2012 (UTC)
 
: [[AUR Helpers]] added as a related link in Summary box. Close. -- [[User:Fengchao|Fengchao]] ([[User talk:Fengchao|talk]]) 03:40, 19 September 2012 (UTC)
  
== Prefer yaourt-git ?  ==
+
== <s> Prefer yaourt-git ?  </s> ==
  
 
I'm kinda intrigued by this line, I am using the "normal" yaourt from the AUR and do not seems to have any trouble, what kind of features are broken ? Is there a risk for my system if I keep using this "broken" yaourt ?
 
I'm kinda intrigued by this line, I am using the "normal" yaourt from the AUR and do not seems to have any trouble, what kind of features are broken ? Is there a risk for my system if I keep using this "broken" yaourt ?
Line 20: Line 20:
  
 
:I've not seen any problems either, nor has anybody else that I know use Yaourt daily.  However, on the AUR page, there are comments about it having problems with the latest AUR, though the comments don't go into detail.  Since the last release was in May 2009, if the bug was in place in january, that still hasn't changed.  It probably would be good to find the exact problem, and say, "Yaourt release has broken feature foo-bar, use Yaourt git if you need this..." [[User:Pierre Monteux|Pierre Monteux]] 10:37, 13 March 2010 (EST)
 
:I've not seen any problems either, nor has anybody else that I know use Yaourt daily.  However, on the AUR page, there are comments about it having problems with the latest AUR, though the comments don't go into detail.  Since the last release was in May 2009, if the bug was in place in january, that still hasn't changed.  It probably would be good to find the exact problem, and say, "Yaourt release has broken feature foo-bar, use Yaourt git if you need this..." [[User:Pierre Monteux|Pierre Monteux]] 10:37, 13 March 2010 (EST)
 +
:: Close. Already removed. -- [[User:Fengchao|Fengchao]] ([[User talk:Fengchao|talk]]) 04:05, 19 September 2012 (UTC)
  
 
== tmpfs usage ==
 
== tmpfs usage ==

Revision as of 04:05, 19 September 2012

[archlinuxfr]

The [archlinuxfr] repo will break your system. Stop mentioning it unless it's a warning not to use it. And don't remove my warning about it from the top. --sincerely, #archlinux

I've moved the warning to the installation section and removed the mention of archlinuxfr from the tip, since the introduction had become too bloated with notes and warnings. -- Kynikos 04:53, 2 April 2012 (EDT)
I just see this section, I did the modification before. But to clarify, packages in [archlinuxfr] does not have the same name in the officials repos, and the breakage introduced by the rebuild of libpng/tiff was one package (cairo-xcb) which has been upgraded 1 day after. Tuxce 07:03, 2 April 2012 (EDT)

Regarding general opinion on yaourt

A great deal of people still ask for yaourt support, even though more recent helpers have less issues that outright break installing from AUR, and less problems that degrade performance. Maybe the article should reflect what is actually happening; people are pointing towards others like packer and bauerbill. Dres 23:13, 26 January 2010 (EST)

  • I wasn't the person who removed your comment about Yaourt being unmaintained, but the most recent changelog is on 17 Aur 2009. That seems pretty recent to me.

    I don't think it's a good idea to add information about other AUR helpers on the Yaourt page. The Yaourt page should only give information about Yaourt. If we add information about Packer or Bauerbill then it will just look like we are advertising another AUR helper. :P

    It's strange how new Arch Linux users seem to just "know" that they should use Yaourt. It happened to me: I have been using Arch Linux for less than a year, and when I wanted to start using the AUR, I used Yaourt. The funny thing is, I don't even remember where I learned that I should use Yaourt.

    I think as people start moving away from suggesting Yaourt in the wiki documentation and in the Arch Linux forums, people will begin to use other AUR helpers. The best thing is when people use the best program for the job they want to do, even if it is Yaourt. ;) drcouzelis 17:17, 12 March 2010 (EST)


  • There are many AUR helpers, and times change. We are now in 2012 and Yaourt is still maintained and works with the latest pacman 4. They have a support forum on archlinuxfr (the devs answer both in French and English). This is not the case for many other helpers. There used to be a time where many people were spreading rumours about the fact Yaourt was unmaintained, and this was at best uninformed or at worst looked like a smear campaign. Sometimes yaourt has indeed upgrading problems (cross dependencies between pacman, package-query and yaourt), but people who use the AUR and any AUR helper should know they may encounter such issues and should be able to repair them. I think people should stop posting uninformed comments about Yaourt because it is very convenient and reliable for many, and let people use the tools they want without spreading FUD. --zeb 06:03, 9 March 2012 (EST)
AUR Helpers added as a related link in Summary box. Close. -- Fengchao (talk) 03:40, 19 September 2012 (UTC)

Prefer yaourt-git ?

I'm kinda intrigued by this line, I am using the "normal" yaourt from the AUR and do not seems to have any trouble, what kind of features are broken ? Is there a risk for my system if I keep using this "broken" yaourt ?

I can see that the last edit was late january 2010, almost a century in computing :) Is it still true ?

I've not seen any problems either, nor has anybody else that I know use Yaourt daily. However, on the AUR page, there are comments about it having problems with the latest AUR, though the comments don't go into detail. Since the last release was in May 2009, if the bug was in place in january, that still hasn't changed. It probably would be good to find the exact problem, and say, "Yaourt release has broken feature foo-bar, use Yaourt git if you need this..." Pierre Monteux 10:37, 13 March 2010 (EST)
Close. Already removed. -- Fengchao (talk) 04:05, 19 September 2012 (UTC)

tmpfs usage

As I understand, Yaourt uses /tmp when building from the AUR; however, I've run into one particularily large package (planeshift) that requires more than what's available in /tmp (with a GB of memory, my /tmp is just over 500 MB).

planeshift required about 2.5GB (at least on my system) allocated to /tmp to install; so I had to edit /etc/fstab and increase the amount allocated to /tmp (I increased it to 4 GB). After doing so, I rebooted, installed my package, rebooted again, reset fstab to its original values and finally rebooted a third time (sorry if all that rebooting is noob).

I think it'd be nice for this to be documented more clearly as this may (and is likely to complete beginners) seem to prevent the installation of bulky packages via Yaourt (well, any package whose download/build takes up > 1/2 of their memory by default.

Panth0r 01:54, 29 November 2011 (EST)

I just added this to troubleshooting (without looking at this), I don't understand why you didn't do that in the first place...

Zeroedout 1751, 29 June 2012 (PDT)